plot_earea_sample(double radius) {
    //
    //
    //
    TNtuple* nt = new TNtuple("nt", "", "x:y:x2:y2");
    ifstream data("point.dat");
    double x, y, x2, y2;
    while(data>>x>>y>>x2>>y2) {
        nt->Fill(x, y, x2, y2);
    }
    data.close();

    //
    //
    //
    TCanvas *c1 = new TCanvas("c1", "c1", 800, 800);
    c1->Divide(1,1);
    c1->cd(1);
    gROOT->SetStyle("Plain");
    gStyle->SetOptTitle(kFALSE);
    gStyle->SetOptStat(kFALSE);


    //
    //
    //
    TH1F *waku = new TH1F("waku", "title", 2, -0.01, 0.01);
    waku->SetMinimum(-0.01);
    waku->SetMaximum(0.01);
    waku->Draw();

    //
    // ϰϡʱߡ
    //
    TEllipse *region = new TEllipse(0, 0, radius, radius);
    region->Draw("same");
    //
    //
    //
    nt->Draw("y2:x2", "", "same");

    //
    //
    //
    ifstream data2("mask.dat");
    Double_t x3[5];
    Double_t y3[5];
    double xmin, xmax, ymin, ymax;
    while(data2>>xmin>>xmax>>ymin>>ymax) {
        x3[0] = xmin;
        x3[1] = xmax;
        x3[2] = xmax;
        x3[3] = xmin;
        x3[4] = xmin;

        y3[0] = ymax;
        y3[1] = ymax;
        y3[2] = ymin;
        y3[3] = ymin;
        y3[4] = ymax;
        TPolyLine *pline = new TPolyLine(5,x3,y3);
        pline->SetFillColor(38);
        pline->SetLineColor(2);
        pline->SetLineWidth(1);
        pline->Draw("same");
    }

    //
    //
    //
    ifstream data3("dead.dat");
    Double_t x4[5];
    Double_t y4[5];
    double xmin, xmax, ymin, ymax;
    while(data3>>xmin>>xmax>>ymin>>ymax) {
        x4[0] = xmin;
        x4[1] = xmax;
        x4[2] = xmax;
        x4[3] = xmin;
        x4[4] = xmin;

        y4[0] = ymax;
        y4[1] = ymax;
        y4[2] = ymin;
        y4[3] = ymin;
        y4[4] = ymax;
        TPolyLine *pline = new TPolyLine(5,x4,y4);
        pline->SetFillColor(38);
        pline->SetLineColor(4);
        pline->SetLineWidth(1);
        pline->Draw("same");
    }
    //
    //
    //
    c1->Print("plot-earea.png");
}
